//
//  GameOver.m
//  SpriteKitGame
//
//  Created by José María Martín Luque on 04/10/13.
//  Copyright (c) 2013 Flip Flop Software. All rights reserved.
//

#import "GameOver.h"
#import "MyScene.h"

@implementation GameOver

-(id)initWithSize:(CGSize)size {
    if (self = [super initWithSize:size]) {
        /* Setup your scene here */
        
        //sets the background color to white
        self.backgroundColor = [SKColor whiteColor];
        //adds the Game Over label to he frame (screen)
        [self addChild:[self createGameOverLabel:@"Game Over"]];
        
        
        
        
    }
    return self;
}

-(SKLabelNode*) createGameOverLabel:(NSString*)theTitle{
    
    //allows the creation ob labels, in this case, the game title label
    
    SKLabelNode *myLabel = [SKLabelNode labelNodeWithFontNamed:@"System Font"];
    
    myLabel.text = theTitle;
    myLabel.fontColor = [SKColor blackColor];
    myLabel.fontSize = 60;
    myLabel.position = CGPointMake(CGRectGetMidX(self.frame), CGRectGetMidY(self.frame));
    
    return myLabel;
}



-(void)update:(CFTimeInterval)currentTime {
    
   
}


@end
